ControlCommandsClient (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.agent.client.ControlCommandsClient interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.agent.client
Interface ControlCommandsClient

All Known Implementing Classes:
  ControlCommandsClientImpl, ControlCommandsService, LegacyControlCommandsClientImpl

    public interface ControlCommandsClient

Method Summary
`void` | `controlPluginAdd(java.lang.String pluginName, java.lang.String pluginType, ConfigResponse response)` Register a control plugin for use on this agent
`void` | `controlPluginCommand(java.lang.String pluginName, java.lang.String pluginType, java.lang.Integer id, java.lang.String action, java.lang.String args)` Issue a control operation on a plugin and associate it with a job id
`void` | `controlPluginRemove(java.lang.String pluginName)` Remove a control plugin on an agent

Method Detail

### controlPluginAdd

    void controlPluginAdd(java.lang.String pluginName,
                          java.lang.String pluginType,
                          ConfigResponse response)
                          throws AgentRemoteException,
                                 AgentConnectionException

  Register a control plugin for use on this agent

  Parameters:
    `pluginName` - The plugin name
    `pluginType` - The type of plugin to create
    `response` - The plugin configuration
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

### controlPluginRemove

    void controlPluginRemove(java.lang.String pluginName)
                             throws AgentRemoteException,
                                    AgentConnectionException

  Remove a control plugin on an agent

  Parameters:
    `pluginName` - The plugin name
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

### controlPluginCommand

    void controlPluginCommand(java.lang.String pluginName,
                              java.lang.String pluginType,
                              java.lang.Integer id,
                              java.lang.String action,
                              java.lang.String args)
                              throws AgentRemoteException,
                                     AgentConnectionException

  Issue a control operation on a plugin and associate it with a job id

  Parameters:
    `pluginName` - The plugin id
    `pluginType` - The plugin type
    `action` - The action to perform
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.